Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.sasn1
Class DerSequenceGenerator

    java.lang.Object
      org.bouncycastle.sasn1.Asn1Generator
          org.bouncycastle.sasn1.DerGenerator
              org.bouncycastle.sasn1.DerSequenceGenerator

Deprecated. use corresponsding classes in org.bouncycastle.asn1.

    public class DerSequenceGenerator

extends DerGenerator

Field Summary

Fields inherited from class org.bouncycastle.sasn1.Asn1Generator
`_out`

Constructor Summary
`DerSequenceGenerator(java.io.OutputStream out)` Deprecated.
`DerSequenceGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)` Deprecated.

Method Summary
`void` | `addObject(DerObject object)` Deprecated.
`void` | `close()` Deprecated.
`java.io.OutputStream` | `getRawOutputStream()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerSequenceGenerator

    public DerSequenceGenerator(java.io.OutputStream out)
                         throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### DerSequenceGenerator

    public DerSequenceGenerator(java.io.OutputStream out,
                                int tagNo,
                                boolean isExplicit)
                         throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Method Detail

### addObject

    public void addObject(DerObject object)
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### getRawOutputStream

    public java.io.OutputStream getRawOutputStream()

  Deprecated.
  Specified by:
    `getRawOutputStream` in class `Asn1Generator`

### close

    public void close()
               throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD